package cn.com.ty.lift.enterprise.oa.controller;

import cn.com.ty.lift.enterprise.oa.entity.LiftCertificateHistory;
import cn.com.ty.lift.enterprise.oa.service.LiftCertificateHistoryService;
import cn.com.xwy.boot.web.dto.RestResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 操作证操作管理
 * Created by Administrator on 2019/11/26.
 */
@Slf4j
@RestController
@RequestMapping("liftCertificateHistory")
public class LiftCertificateHistoryController {
    @Autowired
    private LiftCertificateHistoryService liftCertificateHistoryService;

    /**
     * @param
     * @return
     * @description
     * @date 2019/11/27 10:11
     */
    @PostMapping("findOne")
    public RestResponse<LiftCertificateHistory> findOne(Long id) {
        log.info("id: " + id);
        LiftCertificateHistory entity = liftCertificateHistoryService.findOne(id);
        return RestResponse.ok(entity);
    }

}
