package cn.com.ty.lift.enterprise.oa.entity;

import java.util.Date;

import lombok.Data;
import org.apache.ibatis.type.Alias;

/**
 * 实体类 - 表：attendance 签到管理
 * @since 2019-11-25 17:40:28
 */
@Data
@Alias("Attendance")
public class Attendance {
	private Long id;

	//维保公司id
	private Long mtCompanyId;

	//用户id
	private Long userId;

	//经纬度
	private String coordinate;

	//备注
	private String remarks;

	//地址
	private String address;

	//创建时间
	private Date createDate;

	//状态（是否迟到早退，0：否，1：是）
	private Integer status;

	//类型（上班打卡+’:’+第n次，下班打卡+’:’+第n次，1：上班打卡，2：下班打卡）
	private Integer type;
}